### Function

# Camel file_util_encode_gint64

since: 3.50

#### Declaration [src]

    gint
    camel_file_util_encode_gint64 (
      FILE* out,
      gint64 value
    )

#### Description [src]

Encode a gint64 type.

Available since: 3.50

#### Parameters

`out`

  Type: `FILE*`

  File to output to.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`value`

  Type: `gint64`

  Value to output.

#### Return value

Type: `gint`

0 on success, -1 on error.